Messages
Messages are the individual comments inside a thread. Use these endpoints to add a message to a thread, edit a message, or delete one. Authenticate with an exchange token (embedded feedback) or a workspace- or organization-scoped API key (server-to-server) — see the Authentication overview.
Create message
POST /api/v2/threads/:threadId/messages
Add a message to a thread.
POST /api/v2/threads/:threadId/messages
curl "https://api.markup.io/api/v2/threads/546fa2a0-405e-45b4-ac13-f4bff8c4d00c/messages" \
-X POST \
-H "Authorization: Bearer <API-KEY-SECRET>" \
-H "Markup-API-Version: 2023-02-22" \
-H "Content-Type: application/json" \
--data '{}'200 OK
{
"data": {
"id": "some id",
"createdAt": {},
"modifiedAt": {},
"scopes": [
"some string"
],
"assignedRoleSlugs": [
"some string"
],
"threadId": "some threadId",
"message": "some message",
"messageJson": {},
"user": {
"id": "some id",
"createdAt": {},
"modifiedAt": {},
"name": "some name",
"guest": true
},
"userMetaData": {},
"attachments": [
{
"id": "some id",
"createdAt": {},
"modifiedAt": {},
"messageId": "some messageId",
"url": "some url",
"etag": "some etag",
"mimeType": "some mimeType",
"originalFilename": "some originalFilename",
"filesize": 123
}
],
"loomVideos": [
{
"id": "some id",
"createdAt": {},
"modifiedAt": {},
"messageId": "some messageId",
"title": "some title",
"sharedUrl": "some sharedUrl",
"width": 123,
"height": 123
}
],
"content": "some content",
"mentionIds": [
"some string"
]
}
}Response Body - MessageResponsePublic
Request Path Params ThreadIdRequestParam
| Option | Type | |
|---|---|---|
| threadId | string |
Request Body CreateMessageBodyPublic
| Option | Type | |
|---|---|---|
| content optional | string | |
| mentionIds optional | string[] | |
| message optional | Delta | |
| attachments optional | MessageRequestAttachment[] | |
| loomVideos optional | LoomVideoRequest[] |
Update message
PATCH /api/v2/messages/:id
Edit the content of an existing message.
PATCH /api/v2/messages/:id
curl "https://api.markup.io/api/v2/messages/88e1fb8c-cee7-41a1-889a-6c0dd6fab2d3" \
-X PATCH \
-H "Authorization: Bearer <API-KEY-SECRET>" \
-H "Markup-API-Version: 2023-02-22" \
-H "Content-Type: application/json" \
--data '{}'200 OK
{
"data": {
"message": {
"id": "some id",
"createdAt": {},
"modifiedAt": {},
"scopes": [
"some string"
],
"assignedRoleSlugs": [
"some string"
],
"threadId": "some threadId",
"message": "some message",
"messageJson": {},
"user": {
"id": "some id",
"createdAt": {},
"modifiedAt": {},
"name": "some name",
"guest": true
},
"userMetaData": {},
"attachments": [
{
"id": "some id",
"createdAt": {},
"modifiedAt": {},
"messageId": "some messageId",
"url": "some url",
"etag": "some etag",
"mimeType": "some mimeType",
"originalFilename": "some originalFilename",
"filesize": 123
}
],
"loomVideos": [
{
"id": "some id",
"createdAt": {},
"modifiedAt": {},
"messageId": "some messageId",
"title": "some title",
"sharedUrl": "some sharedUrl",
"width": 123,
"height": 123
}
],
"content": "some content",
"mentionIds": [
"some string"
]
}
}
}Response Body EditMessageResponsePublic
| Option | Type | |
|---|---|---|
| message |
Request Path Params IdRequestParam
| Option | Type | |
|---|---|---|
| id | string |
Request Body UpdateMessageBodyPublic
| Option | Type | |
|---|---|---|
| content optional | string | |
| mentionIds optional | string[] | |
| message optional | Delta | |
| attachments optional | MessageRequestAttachment[] | |
| loomVideos optional | LoomVideoRequest[] | |
| priority optional | number |
Delete message
DELETE /api/v2/messages/:id
Delete a message from its thread.
DELETE /api/v2/messages/:id
curl "https://api.markup.io/api/v2/messages/6da3975b-7a83-4d7a-934d-72678861451e" \
-X DELETE \
-H "Authorization: Bearer <API-KEY-SECRET>" \
-H "Markup-API-Version: 2023-02-22" \
-H "Content-Type: application/json" Response
204 No ContentRequest Path Params IdRequestParam
| Option | Type | |
|---|---|---|
| id | string |
Related types
LoomVideoResponse
| Option | Type | |
|---|---|---|
| id | string | |
| createdAt | Unix_Timestamp_Utc_Milliseconds | |
| modifiedAt | Unix_Timestamp_Utc_Milliseconds | |
| id | string | |
| messageId | string | |
| title | string | |
| sharedUrl | string | |
| width | number | |
| height | number |
AuthorUserResponse
| Option | Type | |
|---|---|---|
| id | string | |
| createdAt | Unix_Timestamp_Utc_Milliseconds | |
| modifiedAt | Unix_Timestamp_Utc_Milliseconds | |
| name | string | |
| guest | boolean |
IUserResourceMetaData
| Option | Type | |
|---|---|---|
| lastSeenAt | number |
MessageResponsePublic
| Option | Type | |
|---|---|---|
| id | string | |
| createdAt | Unix_Timestamp_Utc_Milliseconds | |
| modifiedAt | Unix_Timestamp_Utc_Milliseconds | |
| scopes | string[] | |
| assignedRoleSlugs | string[] | |
| threadId | string | |
| message | string | |
| messageJson | Delta | |
| user | ||
| userMetaData | ||
| attachments | MessageAttachmentResponse[] | |
| loomVideos | LoomVideoResponse[] | |
| content | string | |
| mentionIds | string[] |
Last updated on